Package it.ernytech.tdlib

## Class TdApi.UpdateTrendingStickerSets

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateTrendingStickerSets

Enclosing class:
  TdApi

    public static class TdApi.UpdateTrendingStickerSets
    extends TdApi.Update

The list of trending sticker sets was updated or some of them were viewed.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.StickerSets` `stickerSets` The new list of trending sticker sets.

### Constructor Summary

Constructors
`UpdateTrendingStickerSets()` Default constructor.
`UpdateTrendingStickerSets​(TdApi.StickerSets stickerSets)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### stickerSets

    public TdApi.StickerSets stickerSets

The new list of trending sticker sets.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateTrendingStickerSets

    public UpdateTrendingStickerSets()

Default constructor.

#### UpdateTrendingStickerSets

    public UpdateTrendingStickerSets​(TdApi.StickerSets stickerSets)

Constructor for initialization of all fields.

Parameters:
  `stickerSets` - The new list of trending sticker sets.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR